//+------------------------------------------------------------------+
//|                                           VegasCurrencyDaily.mq4 |
//|                                                          "Vegas" |
//|        extra models and notes added by zigflip                   |
//+------------------------------------------------------------------+
#property copyright "Vegas"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 10
#property indicator_color1 Yellow
#property indicator_color2 DarkSlateBlue
#property indicator_color3 SlateBlue
#property indicator_color4 MediumSlateBlue
#property indicator_color5 CLR_NONE
#property indicator_color6 DarkSlateBlue
#property indicator_color7 SlateBlue
#property indicator_color8 MediumSlateBlue

//---- input parameters
extern bool      Alerts=true;
extern string    note= "1=M5 range or *pb outside 3rd";
extern string    note2= "2=M5 3rd break; 3=M15; 4=H1";
extern string    note3= "5=H4 or D1 range,break,trend";
extern string    note4= "6=D1 or H4 extreme 3rd touch; 7=W1";
extern int       RiskModel=6;
extern int       MA1=28;
extern int       MA2=24;
extern string    soundfile="vegalert.wav";
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];
double ExtMapBuffer7[];
double ExtMapBuffer8[];
double ExtMapBuffer9[];
int MAHit = 0;
//----
//double ema_value; 
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,ExtMapBuffer5);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,ExtMapBuffer6);
   SetIndexStyle(6,DRAW_LINE);
   SetIndexBuffer(6,ExtMapBuffer7);
   SetIndexStyle(7,DRAW_LINE);
   SetIndexBuffer(7,ExtMapBuffer8);
   SetIndexStyle(8,DRAW_LINE);
   SetIndexBuffer(8,ExtMapBuffer9);
   
  
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int    counted_bars=IndicatorCounted();
  //---- check for possible errors
   if(counted_bars<0) return(-1);
  //---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
  //---- main loop
     for(int i=0; i<limit; i++)
       {
        //---- ma_shift set to 0 because SetIndexShift called abowe
         ExtMapBuffer1[i]=iMA(NULL,0,28,0,MODE_EMA,PRICE_CLOSE,i);
         ExtMapBuffer5[i]=iMA(NULL,0,24,0,MODE_EMA,PRICE_CLOSE,i);
        
         //Model #1 2,3,5 M5 range or *pb outside 3rd
         if(RiskModel==1)
         {
            ExtMapBuffer2[i]=ExtMapBuffer1[i]+2*Point;
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+3*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]+5*Point;
            
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-2*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]-3*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-5*Point;    
         }
         
         //Model #2 5,8,13 M5 3rd break...
         if(RiskModel==2)
         {
            ExtMapBuffer2[i]=ExtMapBuffer1[i]+5*Point;
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+8*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]+13*Point;
            
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-5*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]-8*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-13*Point;    
         }
         
         //Model #3 13,21,34 M15
         if(RiskModel==3)
         {
            ExtMapBuffer2[i]=ExtMapBuffer1[i]+13*Point;
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+21*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]+34*Point;
            
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-13*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]-21*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-34*Point;    
         }
         
         //Model #4 21,34,55 h1
         if(RiskModel==4)
         {
            ExtMapBuffer2[i]=ExtMapBuffer1[i]+21*Point;
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+34*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]+55*Point;
            
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-21*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]-34*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-55*Point;    
         }
         
         //Model #5 55,89,144 H4 or D1 range,break,trend
         if(RiskModel==5)
         {
            ExtMapBuffer2[i]=ExtMapBuffer1[i]+55*Point;
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+89*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]+144*Point;
            
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-55*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]-89*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-144*Point;    
         }
         
          //Model #6 89,144,233 D1 or H4 extreme 95% 3rd
         if(RiskModel==6)
         {
            ExtMapBuffer2[i]=ExtMapBuffer1[i]+89*Point;
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+144*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]+233*Point;
            
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-89*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]-144*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-233*Point;   
         }
         
          //Model #7 144,233,377 W1
         if(RiskModel==7)
         {
            ExtMapBuffer2[i]=ExtMapBuffer1[i]+377*Point;
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+610*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]+987*Point;
            
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-377*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]-610*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-987*Point;    
         }
         
         
       }
       
       //+--------------------------------------------------------------------------+
       //-                          ALERTS    PlaySound("alert.wav");               -
       //+--------------------------------------------------------------------------+
      if(Alerts)
      {
         if(ExtMapBuffer5[i] &&  MAHit == 0)
         {Alert("Vega"+Symbol()+" "+Period()+"28 X");
         PlaySound("vegalert.wav");
         SendMail ("Vega"+Symbol()+" "+Period(),Symbol()+" "+Period()+"28 X");}
         
         //if(ExtMapBuffer2[i] || ExtMapBuffer3[i] || ExtMapBuffer4[i])
         //{SendMail (StringConcatenate(Symbol()," ",Period()," @ ",Bid), "Vega Line UP");}
         
         if((ExtMapBuffer2[i] || ExtMapBuffer3[i] || ExtMapBuffer4[i]) &&  MAHit == 0)
         {Alert("Vega"+Symbol()+" "+Period()+"Vega Line Up");
         PlaySound("vegalert.wav");
         SendMail ("Vega"+Symbol()+" "+Period(),Symbol()+" "+Period()+"Vega Line Up");}
         
         //if(ExtMapBuffer6[i] || ExtMapBuffer7[i] || ExtMapBuffer8[i])
         //{SendMail (StringConcatenate(Symbol()," ",Period()," @ ",Bid), "Vega Line DOWN");}
         
         if((ExtMapBuffer6[i] || ExtMapBuffer7[i] || ExtMapBuffer8[i]) &&  MAHit == 0)
         {Alert("Vega"+Symbol()+" "+Period()+"Vega Line Below");
         PlaySound("vegalert.wav");
         SendMail ("Vega"+Symbol()+" "+Period(),Symbol()+" "+Period()+"Vega Line Below");}
         MAHit = 1;
      }
         
  //---- done

//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+